use master
drop database Delicious
create database Delicious
use Delicious

drop table Recipe
drop table Ingredient
drop table Direction

create table Recipe
(
	RecipeID integer not null IDENTITY(1,1),
	Name varchar(255),
	Description varchar(255),
	GoodWith varchar(255),
	Image varchar(255)
)

create table Ingredient
(
	IngredientID integer not null IDENTITY(1,1),
	RecipeID integer,
	Description varchar(255),
	Quantity varchar(50),
	QuantityUnit varchar(50)
)

create table Direction
(
	DirectionID integer not null IDENTITY(1,1),
	RecipeID integer,
	Description text,
	StepNumber varchar(10)
)

delete from Recipe
delete from Ingredient
delete from Direction

use Delicious

select * from Recipe

select * from Ingredient

select * from Direction

select * from Recipe
update Recipe set Description='Very tasty!' where Name='Wiener Schnitzel'